#!/usr/bin/python
# -*- coding: utf-8 -*-

from pathlib import Path
from setuptools import setup, find_packages

VERSION = open('src/datafetcher/_version.py').readlines()[-1].split()[-1].strip("\"'")
README = Path('README.md').read_text()

setup(
    name=Path().absolute().name,
    version=VERSION,
    description='NRAO Archive Job Epilogue Script',
    long_description=README,
    author='NRAO SSA Team',
    author_email='dms-ssa@nrao.edu',
    url='TBD',
    license="GPL",
    install_requires=['requests', 'pycapo'],
    keywords=[],
    packages=['datafetcher'],
    package_dir={'':'src'},
    classifiers=[
        'Programming Language :: Python :: 3.8'
    ],
    entry_points={
        'console_scripts': ['datafetcher = datafetcher.commands:main']
    },
)
